using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Request.VipEquity;
using GxPress.Result.VipEquity;

namespace GxPress.Repository.Interface.VipEquity
{
    public interface IVipEquityRepository : IRepository
    {
        Task<IEnumerable<VipEquityResult>> GetAllAsync();

        Task<bool> UpdateAsync(VipEquityUpdateRequest request);
        Task<bool> InsertAsync(Entity.tede2.VipEquity.VipEquity model);
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// /// 查询
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
         Task<Entity.tede2.VipEquity.VipEquity> GetAsync(int id);
    }
}